> ## Documentation Index > Fetch the complete documentation index at: https://learn.servitly.com/llms.txt > Use this file to discover all available pages before exploring further. # Create new spare-part > Creates a new spare-part definition, i.e. an item of the spare parts catalogue that can be referenced by product-models and ordered through the store.
The code is the unique code of the spare-part and is the key used by the import API to recognize items that already exist.

Required permissions: READ_SPARE_PART, WRITE_SPARE_PART. ## OpenAPI ````json POST /inventory/sparePartDefinitions { "openapi": "3.1.0", "info": { "title": "Servitly DPS API", "version": "1.0.0" }, "servers": [ { "url": "https://api.servitly-sandbox.com", "description": "[AWS SANDBOX]" }, { "url": "https://api.servitly.com", "description": "[AWS PRODUCTION Ireland]" }, { "url": "https://api-ap.servitly.com", "description": "[AWS Hong Kong]" }, { "url": "https://azapi.servitly-dev.com", "description": "[AZURE DEV Frankfurt]" }, { "url": "https://azapi.servitly-staging.com", "description": "[AZURE STAGING Frankfurt]" }, { "url": "https://azapi.servitly.com", "description": "[AZURE PRODUCTION Frankfurt]" } ], "security": [ { "bearerAuth": [] } ], "tags": [ { "name": "ACTIONS" }, { "name": "ALERTS" }, { "name": "API GATEWAY" }, { "name": "AUTHENTICATION" }, { "name": "AUTHORIZATIONS" }, { "name": "CUSTOMERS" }, { "name": "DATA IMPORT / EXPORT" }, { "name": "EVENTS" }, { "name": "LOCATIONS" }, { "name": "MAINTENANCE" }, { "name": "MAPPING" }, { "name": "METRIC DATA" }, { "name": "MOBILE APP" }, { "name": "ORGANIZATION" }, { "name": "PARTNERS" }, { "name": "PRODUCT MODELS" }, { "name": "SPARE PARTS" }, { "name": "STATISTICS" }, { "name": "STORE ORDERS" }, { "name": "SUBSCRIPTIONS" }, { "name": "SUBSCRIPTIONS (OLD)" }, { "name": "THING CONTROL" }, { "name": "THING DEFINITIONS" }, { "name": "THING MANAGEMENT" }, { "name": "THINGS" }, { "name": "TICKETS" }, { "name": "USER TYPES" }, { "name": "USERS" }, { "name": "WORK SESSIONS" } ], "paths": { "/inventory/sparePartDefinitions": { "post": { "summary": "Create new spare-part", "description": "Creates a new spare-part definition, i.e. an item of the spare parts catalogue that can be referenced by product-models and ordered through the store.
The code is the unique code of the spare-part and is the key used by the import API to recognize items that already exist.

Required permissions: READ_SPARE_PART, WRITE_SPARE_PART.", "tags": [ "SPARE PARTS" ], "parameters": [ { "$ref": "#/components/parameters/tenantNameHeader" } ], "requestBody": { "description": "The details of the spare-part being created.", "required": "true", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/SparePartDefinition" } } } }, "responses": { "201": { "description": "Successful creation.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/SparePartDefinition" } } } }, "400": { "$ref": "#/components/responses/BadRequest" }, "401": { "$ref": "#/components/responses/NotAuthenticated" }, "403": { "$ref": "#/components/responses/NotAuthorized" }, "429": { "$ref": "#/components/responses/ApiLimit" }, "500": { "$ref": "#/components/responses/IntError" } } } } }, "components": { "parameters": { "tenantNameHeader": { "in": "header", "name": "X-Servitly-Tenant", "required": "true", "schema": { "type": "string", "example": "{{tenantName}}" }, "description": "The name of the tenant (e.g. acme)." } }, "schemas": { "SparePartDefinition": { "type": "object", "required": [ "code", "name", "categoryId" ], "properties": { "id": { "type": "string", "description": "The spare-part object identifier.", "readOnly": "true" }, "name": { "type": "string", "description": "The spare-part name." }, "code": { "type": "string", "description": "The spare-part unique code." }, "description": { "type": "string", "description": "The spare-part description text." }, "technicalDescription": { "type": "string", "description": "The spare-part technical description text." }, "imageUrls": { "description": "The list of HTTPS image URLs of this spare-part.", "type": "array", "items": { "type": "string" } }, "price": { "type": "number", "description": "The spare-part price." }, "categoryId": { "type": "string", "description": "The id of the category this spare-part belongs to." } } } }, "responses": { "BadRequest": { "description": "Request data not valid.", "content": { "application/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "The error response.", "example": "Bad request" } } } } } }, "NotAuthenticated": { "description": "User not authenticated.", "content": { "application/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "The error response.", "example": "User not authenticated" } } } } } }, "NotAuthorized": { "description": "User not authorized.", "content": { "application/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "The error response.", "example": "User not authorized" } } } } } }, "ApiLimit": { "description": "API call rate limit exceeded.", "content": { "application/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "The error response.", "example": "API call rate limit exceeded" } } } } } }, "IntError": { "description": "Internal server error.", "content": { "application/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "The error response.", "example": "Internal Server Error" } } } } } } }, "securitySchemes": { "bearerAuth": { "type": "http", "scheme": "bearer" } } } } ````